
TYPO3.Neos - Task # 8688

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-07-06 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-31 Due date:
Subject: Instead of OK/Cancel buttons, use Commit?
Description

To me, it is not yet clear how the OK/Cancel buttons (shown when editing page properties) play together with the "Commit"-feature
when you edit content.

There are several possibilities I think:

    -  After pressing "OK", the changes are on the live site
    -  After pressing "OK", the change still needs to be committed.
    -  get rid of the OK/cancel buttons altogether and instead display the "commit" button like when editing content

The same issue occurs when deleting a page: Is it still needed to commit this change?

Related issues:
related to Base Distribution - Story # 7921: As  Magarethe I want to add  pages Resolved 2010-07-06
related to Base Distribution - Story # 7922: As Magarethe I want to delete pages Resolved

History
#1 - 2010-07-06 14:11 - Sebastian Kurfuerst
- Category set to User Interface

#2 - 2010-07-08 16:19 - Jens Hoffmann
- Assigned To deleted (Jens Hoffmann)

As discussed via Skype in the Daily Scrum:
    -  NEVER, push something to the live site >> Everything need to be committed through a workflow process
    -  Remove the "OK/cancel" BTN for all Properties dialogs >> Use Version Comment Dialogs instead!
    -  Hide the Dialog by clicking to the Content Frame below or any Menu Icon

#3 - 2010-07-08 16:31 - Robert Lemke
- Status changed from New to Needs Feedback
- Assigned To set to Sebastian Kurfuerst

question answered?

#4 - 2010-07-08 16:57 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Resolved

yes.
#5 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Category deleted (User Interface)
- Target version deleted (593)

#6 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
